Metafunction
IsCharType
Return whether the argument is char, wchar_t, char const, or wchar_t const.
IsCharType<T>::Type
IsCharType<T>::VALUE
Include Headers
seqan/sequence.h
Parameters

T | Type to check type of.

Remarks
This metafunction is used to enable and disable templated adaptions of arrays to sequences for builtin character types only.
The return value is True/true for char, wchar_t, char const, and wchar_t const.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59